%define pypi_name nbconvert

Name:           jupyter-nbconvert
Version:        7.13.1
Release:        %mkrel 2
Group:          Development/Python
Summary:        Jupyter Notebook Conversion (tools)

License:        BSD
URL:            https://jupyter.org/
Source0:        %{pypi_source}
BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel

%description
The nbconvert tool, jupyter nbconvert, converts notebooks to various other
formats via Jinja templates. The nbconvert tool allows you to convert an .ipynb
notebook file into various static formats.

This package contains the jupyter-nbconvert tool.

%package -n     python3-%{pypi_name}
Summary:        Jupyter Notebook Conversion (Python 3)
%{?python_provide:%python_provide python3-%{pypi_name}}
Provides:       python3-%{name} = %{version}-%{release}

%description -n python3-%{pypi_name}
The nbconvert tool, jupyter nbconvert, converts notebooks to various other
formats via Jinja templates. The nbconvert tool allows you to convert an .ipynb
notebook file into various static formats.

%prep
%autosetup -p1 -n %{pypi_name}-%{version}

# fix shebangs
%py3_shebang_fix %{pypi_name}

# fix reqs
sed -i -e 's/bleach!=/bleach>/' pyproject.toml

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files nbconvert

%files
%{_bindir}/jupyter-nbconvert
%{_bindir}/jupyter-dejavu
%{_datadir}/jupyter/nbconvert/

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE


%changelog
* Sun Mar 02 2025 wally <wally> 7.13.1-2.mga10
+ Revision: 2157785
- rebuild for python3.13

* Tue Dec 26 2023 wally <wally> 7.13.1-1.mga10
+ Revision: 2021910
- new version 7.13.1
- use %%pyproject_buildrequires

* Thu Feb 02 2023 papoteur <papoteur> 7.2.9-1.mga9
+ Revision: 1937581
- new 7.2.9

* Fri Jul 01 2022 joequant <joequant> 6.5.0-1.mga9
+ Revision: 1866889
- update to 6.5.0

* Wed Mar 23 2022 umeabot <umeabot> 6.0.7-4.mga9
+ Revision: 1823445
- Mageia 9 Mass Rebuild

* Tue Feb 22 2022 tv <tv> 6.0.7-3.mga9
+ Revision: 1783234
- Rebuild for python-3.10

* Sat Mar 27 2021 daviddavid <daviddavid> 6.0.7-2.mga9
+ Revision: 1710980
- fix dependency

* Mon Mar 15 2021 wally <wally> 6.0.7-1.mga9
+ Revision: 1703462
- new version 6.0.7
- fix python3 pkg name
- rebuild for python 3.9

* Tue Feb 18 2020 umeabot <umeabot> 5.6.1-2.mga8
+ Revision: 1538575
- Mageia 8 Mass Rebuild

* Sat Nov 23 2019 daviddavid <daviddavid> 5.6.1-1.mga8
+ Revision: 1462327
- new version: 5.6.1

* Thu Sep 26 2019 daviddavid <daviddavid> 5.6.0-1.mga8
+ Revision: 1446610
- new version: 5.6.0

* Mon Sep 16 2019 daviddavid <daviddavid> 5.5.0-2.mga8
+ Revision: 1442238
- rebuild for python3.8

* Fri Jul 19 2019 shlomif <shlomif> 5.5.0-1.mga8
+ Revision: 1422861
- New version 5.5.0

* Sat Jan 12 2019 tmb <tmb> 5.2.1-3.mga7
+ Revision: 1355287
- rebuild for python 3.7

* Thu Sep 20 2018 umeabot <umeabot> 5.2.1-2.mga7
+ Revision: 1279169
- Mageia 7 Mass Rebuild

* Tue Aug 15 2017 philippem <philippem> 5.2.1-1.mga7
+ Revision: 1140671
- update to 5.2.1, since ipython is py3 only, we provide only py3

* Sat Aug 05 2017 pterjan <pterjan> 4.2.0-3.mga7
+ Revision: 1135237
- Rebuild for python 3.6

* Mon Apr 25 2016 philippem <philippem> 4.2.0-2.mga6
+ Revision: 1006210
- relax mistune requires (work around for autorequires)

* Mon Apr 18 2016 philippem <philippem> 4.2.0-1.mga6
+ Revision: 1003452
- imported package jupyter-nbconvert

